export default class UserAgentExtractor {

  static BOT_NAMES = ['Googlebot', 'PetalBot', 'MJ12bot', 'BLEXBot', 'LightspeedSystemsCrawler'];

  constructor(userAgent) {
    this.userAgent = userAgent;
  }

  isBot() {
    return UserAgentExtractor.BOT_NAMES.find(name => this.userAgent.includes(name)) !== undefined;
  }

}
